Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.node
Class UserLayoutFolderDescription

    java.lang.Object
      org.jasig.portal.layout.node.UserLayoutNodeDescription
          org.jasig.portal.layout.node.UserLayoutFolderDescription

All Implemented Interfaces:
  IUserLayoutFolderDescription, IUserLayoutNodeDescription

Direct Known Subclasses:
  ALFolderDescription

    public class UserLayoutFolderDescription

extends UserLayoutNodeDescription
implements IUserLayoutFolderDescription

A class describing a folder node fo the user layout structure.

Version:
  1.0
Author:
  Peter Kharchenko

Field Summary
`protected int` | `folderType`
`static java.lang.String[]` | `folderTypeNames`
`static int` | `FOOTER_TYPE`
`static int` | `HEADER_TYPE`
`static int` | `REGULAR_TYPE`

Fields inherited from class org.jasig.portal.layout.node.UserLayoutNodeDescription
`addChildAllowed, deleteAllowed, editAllowed, hidden, id, immutable, moveAllowed, name, precedence, unremovable`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Constructor Summary
`UserLayoutFolderDescription()`
`UserLayoutFolderDescription(org.w3c.dom.Element xmlNode)` Reconstruct folder information from an xml `Element`
`UserLayoutFolderDescription(IUserLayoutFolderDescription d)`

Method Summary
`void` | `addNodeAttributes(org.w3c.dom.Element node)` Add all of common node attributes to the `Element`.
`int` | `getFolderType()` Returns folder type.
`int` | `getType()` Returns a type of the node, could be FOLDER or CHANNEL integer constant.
`org.w3c.dom.Element` | `getXML(org.w3c.dom.Document root)` Creates a `org.w3c.dom.Element` representation of the current node.
`void` | `setFolderType(int folderType)` Assign a type to a folder.

Methods inherited from class org.jasig.portal.layout.node.UserLayoutNodeDescription
`createUserLayoutNodeDescription, getId, getName, getPrecedence, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`getId, getName, getPrecedence, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Field Detail

### REGULAR_TYPE

    public static final int REGULAR_TYPE

See Also:
  Constant Field Values

### HEADER_TYPE

    public static final int HEADER_TYPE

See Also:
  Constant Field Values

### FOOTER_TYPE

    public static final int FOOTER_TYPE

See Also:
  Constant Field Values

### folderTypeNames

    public static final java.lang.String[] folderTypeNames

### folderType

    protected int folderType

Constructor Detail

### UserLayoutFolderDescription

    public UserLayoutFolderDescription(org.w3c.dom.Element xmlNode)
                                throws PortalException

  Reconstruct folder information from an xml `Element`

  Parameters:
    `xmlNode` - a user layout channel `Element` value
  Throws:
    `PortalException` - if xml is malformed

### UserLayoutFolderDescription

    public UserLayoutFolderDescription()

### UserLayoutFolderDescription

    public UserLayoutFolderDescription(IUserLayoutFolderDescription d)

Method Detail

### getType

    public int getType()

  Returns a type of the node, could be FOLDER or CHANNEL integer constant.

  Specified by:
    `getType` in interface `IUserLayoutNodeDescription`
  Specified by:
    `getType` in class `UserLayoutNodeDescription`
  Returns:
    a type

### getFolderType

    public int getFolderType()

  Returns folder type.

  Specified by:
    `getFolderType` in interface `IUserLayoutFolderDescription`
  Returns:
    an `int` value corresponding to one of the valid folder types.

### setFolderType

    public void setFolderType(int folderType)

  Assign a type to a folder.

  Specified by:
    `setFolderType` in interface `IUserLayoutFolderDescription`
  Parameters:
    `folderType` - an `int` value corresponding to one of the valid folder types.

### getXML

    public org.w3c.dom.Element getXML(org.w3c.dom.Document root)

  Creates a `org.w3c.dom.Element` representation of the current node.

  Specified by:
    `getXML` in interface `IUserLayoutFolderDescription`
  Specified by:
    `getXML` in interface `IUserLayoutNodeDescription`
  Specified by:
    `getXML` in class `UserLayoutNodeDescription`
  Parameters:
    `root` - a `Document` for which the `Element` should be created.
  Returns:
    a `Node` value

### addNodeAttributes

    public void addNodeAttributes(org.w3c.dom.Element node)

  Description copied from class: `UserLayoutNodeDescription`
  Add all of common node attributes to the `Element`.

  Specified by:
    `addNodeAttributes` in interface `IUserLayoutNodeDescription`
  Overrides:
    `addNodeAttributes` in class `UserLayoutNodeDescription`
  Parameters:
    `node` - an `Element` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD